.main__maquina{
    width: 100%;
    min-height: 100vh;
    height: auto;
}

.main__maquina-item{
    width: 100%;
    height: 90vh;
    display: flex;
    align-items: center;
    justify-content:center;
}


.maquina__item-figure{
    display: flex;
    width: 40%;
    height: 70rem;
    background-color: white;
    flex-flow: column nowrap;
    justify-content: space-evenly;
    align-items: center;
    position: relative;
}


.item__figure-contentImg{
    width: 100%;
    height: 70%;
    border: 1.5px solid #c2c0c0;
    border-radius: .5rem;
    cursor: pointer;
    overflow: hidden;
    cursor: zoom-in;
}

.item__figure-contentImg::after{
    content: "IMAGEN REFERENCIAL";
    display: block;
    position: absolute;
    top: 0;
    color: var(--color__textLow-white);
    background-color: var(--color__primary);
    width: auto;
    height: 2rem;
    padding: .7rem;
    text-align: center;
    font-size: 2.2rem;
    left: -10px;
    font-weight: bold;
    border-radius: .3rem;
    letter-spacing: .16rem;
}



.item__figure-img{
    width: 100%;
    height: 100%;
    object-fit: contain;
    /* filter: drop-shadow(3px 3px 3px #00000060); */
}


.item__figure-contentImgReferences{
     width: 100%;
     height: 25%;
     display: flex;
     justify-content: space-evenly;
     align-items: center;
}

.figure__contentImgReferences-container{
    width: 30%;
    height: 100%;
    border: 1.5px solid #c2c0c0;
    border-radius: .5rem;
    cursor: pointer;
}

.contentImgReferences__container-img{
    object-fit: contain;
    display: block;
    width: 100%;
    height: 100%;
}

.maquina__item-content{
    width: 50%;
    height: 40rem;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    justify-content: flex-start;
}

.item__content-title{
    font-size: 5.7rem;
    padding: 0;
    margin: .8rem;
    text-align: center;
}

.item__content-title::after{
    content: " ";
    display: block;
    width: 85%;
    height: .7rem;
    background-color: var(--color__primary);
    margin: .4rem auto;
    border-radius: .9rem;
}

.item__content-text{
    font-size: 1.45rem;
    color: var(--color__textLow-white);
    text-align: center;
    padding: .5rem;
}


.item__content-list{
    min-width: 90%;
    width: auto;
    height: auto;
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-evenly;
    align-items: flex-start;
    gap: 1rem;
    margin-top: 2rem;
}

.content__list-li{
    padding: 0;
    font-size: 1.8rem;
    
}

.content__list-li::marker{
    color: var(--color__primary
    );
}




/* todo propertys */

.main__maquina-propertys{
    width: 100%;
    min-height: 45vh;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 2rem;
}

.maquina__propertys-container{
    margin-top: 1.7rem;
    width: 90%;
    position: relative;
    height: auto;
    border: 1.8px solid #979797;
}

.maquina__propertys-container::after{
    content: "ESPECIFICACIONES";
    display: block;
    position: absolute;
    background-color: var(--color__primary);
    text-align: center;
    width: auto;
    height: 2rem;
    padding: .7rem;
    font-size: 2.2rem;
    top: -16px;
    left: -10px;
    font-weight: bold;
    border-radius: .3rem;

}
.propertys__container-item{
    width: 100%;
    height: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.propertys__container-item:nth-child(odd){
    background-color: #ebe8e8;
}


.container__item-title{
    font-size: 1.4rem;
    text-align: left;
    border-right: 1.8px solid #979797;;
    width: 50%;
    height: 100%;
    line-height: 6rem;
    padding-left: 1rem;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1; 
    
    
}

.container__item-prop{
    width: 50%;
    font-size: 1.4rem;
    text-align: left;
    height: 100%;
    line-height: 6rem;
    padding-left: 1rem;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1; 
    
}



/* TODO  SLIDERS  */

.main__maquina-slider{
width: 100%;
min-height: 70vh;
height: auto;
display: flex;
flex-flow: column nowrap;
align-items: center;
justify-content:space-evenly;

}


.maquina__slider-title{
    width: auto;
    font-size: 4.4rem;
    text-align: center;
    position: relative;
}

.maquina__slider-title::after{
    content: " ";
    display: block;
    width: 40%;
    height: 1rem;
    background-color: var(--color__primary);
    border-radius: .7rem;

}




.maquina__slider-container{
    width: 80%;
    height: auto;
    min-height: 35rem;
   
}



.maquina__wrapper{
    width: 100%;
    height: 100%;
    margin-bottom: 2rem;
}



.maquina__pagination,.swiper-pagination{
   position: absolute;
   bottom:-110px;
}


.slider__container-figure{
width: 24rem;
height: 32rem;
box-shadow: 4px 4px 6px 3px #0000005e;
margin: .5rem;
}

.slider__container-figure:hover .figure__img-img{
    transform: scale(1.1);
    transition: transform ease .3s;
}


.container__figure-img{
    width: 100%;
    height: 23rem;
    border-bottom: 2px solid #979797;
}

.figure__img-img{
    width: 100%;
    height: 100%;
    object-fit: contain;
    transform: scale(1);
    transition: transform ease .4s;
}

.container__figure-caption{
    width: 100%;
    height: 9rem;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-flow: column nowrap;
    margin: 0;
    gap: .6rem;
}


.figure__caption-title{
    font-size: 1.55rem;
    width: 100%;
    text-align: center; 
    margin: 0;
}


.figure__caption-link{
    text-align: center;
    text-decoration: none;
    background-color: var(--color__primary);
    padding: .6rem;
    color:white;
    border: 2px solid white;
    border-radius: .8rem;
    width: 60%;
    font-size: 1.2rem;
    font-weight: bold;
}


.maquina__prev,.maquina__next{
     background-color: var(--color__primary);
     color: white;
     padding: 2.6rem;
     border-radius: 50%;
     border: 2px solid black;
}

.maquina__prev::after,.maquina__next::after{
    color: black;
    font-size: 1rem;
    transform: scale(.8);
}





/* todo ferreteria */


.main__maquina-herramientas{
    width: 100%;
    height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url("/assets/hardware-store.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-color: #0000008a;
    background-blend-mode: multiply;
}


.maquina__herramientas-content{
    width:100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    gap: 1.5rem;
}


.herramientas__content-text{
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-start;
    justify-content: space-evenly;
    width: 88%;
    height: auto;
    padding: .3rem;
}





.content__text-title{
    width: 100%;
    height: auto;
    font-size: 10rem;
    color:  white;
    margin: 0;
    text-align: center;
    border-radius: 3rem;
    padding: .5rem;
    text-shadow: 6px 11px 0px #000000e8;
}




.herramientas__content-link{
    width: 20rem;
    text-align: center;
    padding: .5rem;
    font-size: 1.7rem;
    text-decoration: none;
    text-align: center;
    background-color: var(--color__primary-ferreteria);
    color:white;
    border-radius: 1rem;
    border: 2px solid white;
    font-weight:  bold;
}


@media screen and (max-width:1186px){
    .maquina__item-figure{
        width: 45%;
    }
}







@media screen and (max-width:900px) {


        .main__maquina-item{
            min-height: 110vh;
            height: auto;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            gap: 4rem;
        }

        .maquina__item-content{
            width: 100%;
            justify-content: center;
            align-items: center;
            height: auto;
            order: 1;
            margin-top: 10rem;
        }

        .maquina__item-figure{
            order: 2;
            width: 84%;
            height: 50rem;
            margin: 0;
        }

        .item__content-title,.item__content-text{
            text-align: center;
            width: 100%;
            margin: .3rem;
            
        }

        .maquina__propertys-title{
            text-align: center;
        }

        .maquina__slider-container{
            width: 95%;
        }
}




@media  screen and (max-width: 700px) {
    
    .herramientas__content-text{
        width: 100%;
    }
    .content__text-title{
        font-size: 6.6rem;
    }

    .herramientas__content-link{
        font-size: 1.5rem;
        width: 17rem;
    }
    .item__content-title{
        font-size: 4.4rem;
    }
}



@media screen and (max-width: 400px) {
    
    .maquina__slider-container{
        width: 90%;

    }

    .maquina__wrapper{
         width: 80%;
         gap: 0;
         padding: 0;
         transform: none;
    }


    .slider__container-figure{
        margin: 0 ;
        flex-shrink: none;
        width: 200px;
    }


    .maquina__prev,.maquina__next,.swiper__button-prev,.swiper__button-next{
         display: none;
         visibility: hidden;

        }

    .content__text-title{
        font-size: 4.8rem;
    }
}